×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Mar 2010
    Posts
    61

    Symbian^3 0.9 SDK comes with Qt Mobility 1.0.0. How do I upgrade to 1.0.2?

    I am trying to use the S^3 SDK for Qt development (can't use Nokia Qt SDK). So far I have installed the Nokia Qt SDK to get Qt Creator for Symbian and Qt 4.6.3 for Symbian and then I installed the Symbian^3 SDK.

    The problem I'm having is that the Qt Mobility install inside the Symbian^3 SDK is setup differently from the one in Nokia Qt SDK:
    * the version is 1.0.0 instead of the newer 1.0.2
    * The mobility headers are installed in the "applications" and "middleware" folders in the Nokia Qt SDK, while in the Symbian SDK they're installed in "app" and "mw".
    * the S^3 SDK doesn't come with the convenience headers.

    As a result, QtCreator can't find the mobility headers and one has to use a non-portable path to include Mobility. Is there any way to upgrade Mobility in the S^3 SDK to 1.0.2 and make it work transparently with Qt Creator?

  2. #2
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: Symbian^3 0.9 SDK comes with Qt Mobility 1.0.0. How do I upgrade to 1.0.2?

    I suggest not to upgrade Nokia Qt SDK and wait for official update.

    and if you really want to start using 1.0.2 now then you can use the Qt for Symbian on top of S60 SDK.

  3. #3
    Registered User
    Join Date
    Mar 2010
    Posts
    61

    Re: Symbian^3 0.9 SDK comes with Qt Mobility 1.0.0. How do I upgrade to 1.0.2?

    Believe me, I would also prefer to wait, but I have to get this working ASAP.

    By "can use the Qt for Symbian on top of S60 SDK." do you mean that I should install the Qt 4.6.3 Symbian libraries on top of the Symbian^3 SDK?

  4. #4
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: Symbian^3 0.9 SDK comes with Qt Mobility 1.0.0. How do I upgrade to 1.0.2?

    yes preferably Qt 4.6.3 on top of Symbian^3 SDK or you can use the Qt 4.7 pre-release for Symbian3 http://labs.qt.nokia.com/2010/10/18/...ion-available/

  5. #5
    Registered User
    Join Date
    Mar 2010
    Posts
    61

    Re: Symbian^3 0.9 SDK comes with Qt Mobility 1.0.0. How do I upgrade to 1.0.2?

    It must be 4.6.3, because there is no guarantee on when 4.7 will be allowed on Ovi. But if I install 4.6.3, do I also get QtM? Which version?

  6. #6
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: Symbian^3 0.9 SDK comes with Qt Mobility 1.0.0. How do I upgrade to 1.0.2?

    more info is http://discussion.forum.nokia.com/fo...n-to-Ovi-store . but i say you can use 4.6.3 with Qt Mobility 1.0.2

  7. #7
    Registered User
    Join Date
    Mar 2010
    Posts
    61

    Re: Symbian^3 0.9 SDK comes with Qt Mobility 1.0.0. How do I upgrade to 1.0.2?

    Yeah, it works great in the Nokia Qt SDK, but with S3 SDK it's a lot more complicated. I just copied the 1.1 convenience header over the S3 SDK, and it seems to work mostly... Now I build with 1.0.0 and run with 1.0.2, which is not great at all.

    Note: I tried to install 4.6.3 Symbian on top of the S3 SDK and it didn't seem to do anything. Qt Creator still says that no Qt is installed in the S3 SDK, even if the S3 SDK comes with Qt (or at least with a broken Qt).
    Last edited by razvanpetru; 2011-01-12 at 13:30.

Similar Threads

  1. Qt Mobility API not working with Nokia Qt SDK + incomplete docs
    By remy_david in forum [Archived] Qt Mobility Project
    Replies: 15
    Last Post: 2011-06-10, 14:38
  2. Replies: 35
    Last Post: 2010-09-13, 12:05
  3. Can't install Mobility Apps after SDK upgrade
    By cyphorious in forum [Archived] Qt Mobility Project
    Replies: 2
    Last Post: 2010-08-19, 08:27
  4. Replies: 3
    Last Post: 2010-06-30, 01:17

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •